;;//-----------------------------LICENSE NOTICE------------------------------------
;;//  This file is part of U.F.O Driver
;;//  Copyright (C) 2019 Hidden Productions
;;//
;;//  This program is free software: you can redistribute it and/or modify
;;//  it under the terms of the GNU General Public License as published by
;;//  the Free Software Foundation, either version 3 of the License, or
;;//  (at your option) any later version.
;;//
;;//  This program is distributed in the hope that it will be useful,
;;//  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;//  GNU General Public License for more details.
;;//
;;//  You should have received a copy of the GNU General Public License
;;//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;//------------------------------------------------------------------------------
.include "cpctelera.h.s"
.include "game_manager.h.s"

.globl cpct_disableFirmware_asm
.globl cpct_setVideoMode_asm
.globl cpct_waitVSYNC_asm

.area _DATA
.area _CODE

_main::
   call cpct_disableFirmware_asm

   ;; Establecemos el modo de vídeo, en este caso 0
   ld c, #0
   call cpct_setVideoMode_asm

   call gameMan_Init

   ;;Bucle
  loop:
    call gameMan_Update

    call cpct_waitVSYNC_asm

    call gameMan_Render

   jr    loop