;;//-----------------------------LICENSE NOTICE------------------------------------
;;//  This file is part of U.F.O Driver
;;//  Copyright (C) 2019 Hidden Productions
;;//
;;//  This program is free software: you can redistribute it and/or modify
;;//  it under the terms of the GNU General Public License as published by
;;//  the Free Software Foundation, either version 3 of the License, or
;;//  (at your option) any later version.
;;//
;;//  This program is distributed in the hope that it will be useful,
;;//  but WITHOUT ANY WARRANTY; without even the implied warranty of
;;//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;//  GNU General Public License for more details.
;;//
;;//  You should have received a copy of the GNU General Public License
;;//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
;;//------------------------------------------------------------------------------
;;
;; Musica
;;

.include "music.h.s"
.include "cpctelera.h.s"

music_init::
	ld 		de, #_song				;;Cargamos el nombre de la musica
	call 	cpct_akp_musicInit_asm	;;Llamamos a la funcion para inicializar la musica

	ret
	
music_play::
	call 	cpct_akp_musicPlay_asm	;;Llamamos a la funcion de reproduccion

	ret

;;Codigo para reducir la velocidad de reproduccion
;;cont: .db #1 		 Declaramos la variable
;;ld a, (cont) 		 Cargamos el valor en a
;;xor #1	   		 Cambiamos el valor de la variable a
;;si esta en 0 		 cambiara a 1 y viceversa, es la unica operacion que lo hace
;;ld (cont), a 		 Cambiamos el valor del contador
;;call z, music_play Ejecutamos la musica